/**
 * NetXMS - open source network management system
 * Copyright (C) 2003-2011 Victor Kirhenshtein
 * <p>
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * <p>
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * <p>
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.netxms.ui.android.main.dashboards.configs;

import org.netxms.client.datacollection.ChartConfiguration;
import org.simpleframework.xml.Element;

/**
 * Common base class for table comparison chart configs
 */
public abstract class TableComparisonChartConfig extends DashboardElementConfig {
    @Element
    private long nodeId = 0;

    @Element
    private long dciId = 0;

    @Element(required = false)
    private String instanceColumn = null;

    @Element(required = false)
    private String dataColumn = null;

    @Element(required = false)
    private String title = "";

    @Element(required = false)
    private int legendPosition = ChartConfiguration.POSITION_RIGHT;

    @Element(required = false)
    private boolean showLegend = true;

    @Element(required = false)
    private boolean showTitle = true;

    @Element(required = false)
    private int refreshRate = 30;

    @Element(required = false)
    private boolean showIn3D = false;

    @Element(required = false)
    private boolean translucent = false;

    @Element(required = false)
    private boolean ignoreZeroValues = false;

    /**
     * @return the showIn3D
     */
    public boolean isShowIn3D() {
        return showIn3D;
    }

    /**
     * @param showIn3D the showIn3D to set
     */
    public void setShowIn3D(boolean showIn3D) {
        this.showIn3D = showIn3D;
    }

    /**
     * @return the translucent
     */
    public boolean isTranslucent() {
        return translucent;
    }

    /**
     * @param translucent the translucent to set
     */
    public void setTranslucent(boolean translucent) {
        this.translucent = translucent;
    }

    /**
     * @return the nodeId
     */
    public long getNodeId() {
        return nodeId;
    }

    /**
     * @param nodeId the nodeId to set
     */
    public void setNodeId(long nodeId) {
        this.nodeId = nodeId;
    }

    /**
     * @return the dciId
     */
    public long getDciId() {
        return dciId;
    }

    /**
     * @param dciId the dciId to set
     */
    public void setDciId(long dciId) {
        this.dciId = dciId;
    }

    /**
     * @return the instanceColumn
     */
    public String getInstanceColumn() {
        return instanceColumn;
    }

    /**
     * @param instanceColumn the instanceColumn to set
     */
    public void setInstanceColumn(String instanceColumn) {
        this.instanceColumn = instanceColumn;
    }

    /**
     * @return the dataColumn
     */
    public String getDataColumn() {
        return dataColumn;
    }

    /**
     * @param dataColumn the dataColumn to set
     */
    public void setDataColumn(String dataColumn) {
        this.dataColumn = dataColumn;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * @return the legendPosition
     */
    public int getLegendPosition() {
        return legendPosition;
    }

    /**
     * @param legendPosition the legendPosition to set
     */
    public void setLegendPosition(int legendPosition) {
        this.legendPosition = legendPosition;
    }

    /**
     * @return the showLegend
     */
    public boolean isShowLegend() {
        return showLegend;
    }

    /**
     * @param showLegend the showLegend to set
     */
    public void setShowLegend(boolean showLegend) {
        this.showLegend = showLegend;
    }

    /**
     * @return the showTitle
     */
    public boolean isShowTitle() {
        return showTitle;
    }

    /**
     * @param showTitle the showTitle to set
     */
    public void setShowTitle(boolean showTitle) {
        this.showTitle = showTitle;
    }

    /**
     * @return the refreshRate
     */
    public int getRefreshRate() {
        return refreshRate;
    }

    /**
     * @param refreshRate the refreshRate to set
     */
    public void setRefreshRate(int refreshRate) {
        this.refreshRate = refreshRate;
    }

    /**
     * @return the ignoreZeroValues
     */
    public boolean isIgnoreZeroValues() {
        return ignoreZeroValues;
    }

    /**
     * @param ignoreZeroValues the ignoreZeroValues to set
     */
    public void setIgnoreZeroValues(boolean ignoreZeroValues) {
        this.ignoreZeroValues = ignoreZeroValues;
    }
}
